Skip to main content
POST
Create member

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request: -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

X-CALLBACK-PAYLOAD
string

The base64 encoded string defined in this header will be returned in the Member and Member Data Updated webhooks. This allows you to trace user interactions and workflows initiated externally and internally in the MX Platform. Max 1024 characters.

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Body

application/json

Member object to be created

member
object
required
data_request
object

Contains a products array that specifies the products you want to aggregate.

Example:
client_redirect_url
string

This determines the redirect destination at the end of OAuth when used with is_mobile_webview: true or oauth_referral_source: 'APP'.

Example:

"https://{yoursite.com}"

enable_app2app
boolean

This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any oauth_window_uri generated will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.

Example:

true

referral_source
string

Must be either BROWSER or APP depending on the implementation.Defaults to BROWSER.

Example:

"APP"

ui_message_webview_url_scheme
string

A client-defined scheme used in OAuth redirects in WebViews. Defaults to mx.

Response

OK

member
object